Package docking.widgets

# Class FindDialog

java.lang.Object
docking.DialogComponentProvider
docking.ReusableDialogComponentProvider
docking.widgets.FindDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class FindDialog extends ReusableDialogComponentProvider

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindDialog(String title, FindDialogSearcher searcher)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dialogClosed()`
  Override this method if you want to do something when the dialog is made invisible
  `protected void`
  `dialogShown()`
  Override this method if you want to do something when the dialog is made visible
  `String`
  `getSearchText()`
  `void`
  `next()`
  `void`
  `previous()`
  `void`
  `setHistory(List<String> history)`
  `void`
  `setSearchText(String text)`

  ### Methods inherited from class docking.ReusableDialogComponentProvider

  `close, dispose`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, okCallback, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindDialog

    public FindDialog(String title, FindDialogSearcher searcher)

- ## Method Details

  - ### dialogClosed

    protected void dialogClosed()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made invisible
    Overrides:
      `dialogClosed` in class `DialogComponentProvider`

  - ### next

    public void next()

  - ### previous

    public void previous()

  - ### dialogShown

    protected void dialogShown()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made visible
    Overrides:
      `dialogShown` in class `DialogComponentProvider`

  - ### setSearchText

    public void setSearchText(String text)

  - ### getSearchText

    public String getSearchText()

  - ### setHistory

    public void setHistory(List<String> history)